<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="PatientHealthFactors.aspx.cs" Inherits="PatientHealthFactors" %>
<%@ Register src="controls/ReportLevel.ascx" tagname="ReportLevel" tagprefix="uc1" %>
<%@ Register src="controls/SSNAndFacilitySelect2.ascx" tagname="SSNAndFacilitySelect2" tagprefix="uc3" %>
<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
        Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
    <asp:HiddenField ID="HiddenFieldReferralID" runat="server" />
    <asp:HiddenField ID="HiddenFieldBreadCrumbBaseText" runat="server" />
    <div class = "excludeSaveWarnings">
    <div style="width:100%;height:auto">
        <rsweb:reportviewer ID="ReportViewer1" runat="server" 
            Font-Names="Verdana" Font-Size="8pt" Height="850px" Width="800px">
            <ServerReport ReportPath="" />
            
        </rsweb:reportviewer> 
    </div>
    <asp:SqlDataSource ID="SqlDataSourceMaxRex" runat="server" 
        ConnectionString="<%$ ConnectionStrings:RegistryConnectionString %>" 
        SelectCommand="GetMaxReferrealDetailUpdateDate" 
        SelectCommandType="StoredProcedure"></asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSourceSection1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:RegistryConnectionString %>" 
        SelectCommand="SP_PatientHealthFactors_GetHealthFactors3" 
        SelectCommandType="StoredProcedure" 
        onselecting="SqlDataSourceSection1_Selecting">
             <SelectParameters>
                 <asp:Parameter DefaultValue="1" Name="section" Type="Int32" />
                  <asp:Parameter DefaultValue="" Name="referralId" Type="Int32" />
             </SelectParameters>
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSourceSection2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:RegistryConnectionString %>" 
        SelectCommand="SP_PatientHealthFactors_GetHealthFactors3" 
        OnSelecting="SqlDataSourceSection1_Selecting"  
        SelectCommandType="StoredProcedure">
             <SelectParameters>
                 <asp:Parameter DefaultValue="2" Name="section" Type="Int32" />
                  <asp:Parameter DefaultValue="" Name="referralId" Type="Int32" />
             </SelectParameters>
    </asp:SqlDataSource>    
    <asp:SqlDataSource ID="SqlDataSourceSection3" runat="server" 
        ConnectionString="<%$ ConnectionStrings:RegistryConnectionString %>" 
        SelectCommand="SP_PatientHealthFactors_GetHealthFactors3" 
        OnSelecting="SqlDataSourceSection1_Selecting"  
        SelectCommandType="StoredProcedure">
        <SelectParameters>
            <asp:Parameter DefaultValue="3" Name="section" Type="Int32" />
            <asp:Parameter Name="referralId" Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>    
    <asp:ObjectDataSource ID="ObjectDataSourcePatientHealthFactors" runat="server"
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetData" 
         TypeName="PatientHealthFactors.SP_GetPatientSsnByReferralIdTableAdapter" 
         onselecting="ObjectDataSourcePatientHealthFactors_Selecting">
        <SelectParameters>
            <asp:Parameter Name="referralId" Type="Int32"  />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:Panel CssClass="reportVISNSelectPanelShort" ID="PanelDetails" runat="server"  
                GroupingText=" Selection Criteria " Visible="false"> 
        <div style="width:800px;margin-left:10px;margin-top:10px; height:135px;">
            <div style="margin-left:11px; width:733px; height:112px;float:left">
                <uc3:SSNAndFacilitySelect2 ID="SSNAndFacilitySelect1" runat="server" />
            </div>
        </div>
    </asp:Panel>
    </div> 
</asp:Content>

