﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Configuration;
using System.IO;
using VeteransAffairs.Registries.BusinessManager;
using System.Web.Configuration;

public partial class SystemCheck : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RegistriesCommonManager manager = new RegistriesCommonManager();

        LabelBuildVersion.Text = "Build Version: " + manager.GetBuildVersion()
            + "<br />Build Date Time: " + GetBuildDateTime();
    }

    private string GetBuildDateTime()
    {
        string buildDate = string.Empty;
        FileInfo file = new FileInfo(Request.PhysicalApplicationPath + "\\bin\\VeteransAffairs.Registries.BusinessManager.dll");

        if (file.Exists)
        {
            buildDate = file.LastWriteTime.ToString(); ;
        }

        return buildDate;
    }

}
