﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;

public partial class TBI_Referrals : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            SetLiteralConsultNotSubmittedNoticeVisibility((DropDownList)FormViewReferral.FindControl("FormViewWKFCasesOtherConsultStatus").FindControl("DropDownListOtherConsultStatus"));
        }
        
    }

    protected void CheckBoxNotApplicable_CheckedChanged(object sender, EventArgs e)
    {
        CheckBox checkBoxNotApplicable = (CheckBox)FormViewReferral.FindControl("FormViewWKFCasesDateConsult").FindControl("CheckBoxNotApplicable");
        DropDownList dropdownlistOtherConsultStatus = (DropDownList)FormViewReferral.FindControl("FormViewWKFCasesOtherConsultStatus").FindControl("DropDownListOtherConsultStatus");

        TBI_TRACKING bizRuleTbiTracking = new TBI_TRACKING();

        try 
        {
            bizRuleTbiTracking.STD_TBIREFERRALSTS_ID = Convert.ToInt32(dropdownlistOtherConsultStatus.SelectedValue); 
        }
        catch 
        {
            //do nothing
        }

        //set property that will trigger a business rule event
        bizRuleTbiTracking.CONSULT_NOT_APPLICABLE_FLAG = checkBoxNotApplicable.Checked;

        dropdownlistOtherConsultStatus.Enabled = bizRuleTbiTracking.TbiOtherConsultStatusIsEditable;
        dropdownlistOtherConsultStatus.SelectedValue = Convert.ToString(bizRuleTbiTracking.STD_TBIREFERRALSTS_ID);
        SetLiteralConsultNotSubmittedNoticeVisibility(dropdownlistOtherConsultStatus);
    }

    protected void DropDownListOtherConsultStatus_SelectedIndexChanged(object sender, EventArgs e)
    {
        SetLiteralConsultNotSubmittedNoticeVisibility((DropDownList)sender);
        SetReferralStatus();
    }

    protected void DropDownListReferralStatus_SelectedIndexChanged(object sender, EventArgs e)
    {
    }

    protected void SetLiteralConsultNotSubmittedNoticeVisibility(DropDownList consultStatusDropDown)
    { 
        Literal literalConsultNotSubmittedNotice = (Literal)FormViewReferral.FindControl("LiteralConsultNotSubmittedNotice");

        if (consultStatusDropDown.SelectedValue == "1")
            {
                literalConsultNotSubmittedNotice.Visible = true;
            }
            else 
            {
                literalConsultNotSubmittedNotice.Visible = false;
            }
    }

    protected void SetReferralStatus()
    {

        DropDownList dropdownlistOtherConsultStatus = (DropDownList)FormViewReferral.FindControl("FormViewWKFCasesOtherConsultStatus").FindControl("DropDownListOtherConsultStatus");
        DropDownList dropdownlistReferralStatus = (DropDownList)FormViewReferral.FindControl("DropDownListReferralStatus");

        TBI_REFERRAL bizRuleReferral = new TBI_REFERRAL();

        try
        {
            bizRuleReferral.STD_REFERRALSTS_ID = Convert.ToInt32(dropdownlistReferralStatus.SelectedValue);
            //bizRuleReferral.OnOTHER_CONSTULT_STATUS_IDChanging(Convert.ToInt32(dropdownlistOtherConsultStatus.SelectedValue));
        }
        catch
        {
            //do nothing
        }

        dropdownlistReferralStatus.SelectedValue = Convert.ToString(bizRuleReferral.STD_REFERRALSTS_ID);
        dropdownlistReferralStatus.Enabled = bizRuleReferral.TbiReferralStatusIsEditable;
        
    }

    protected void ObjectDataSourceReferral_Selected(object sender, ObjectDataSourceStatusEventArgs e)
    {
        //REFERRAL myRef = (REFERRAL)e.ReturnValue;
        
    }
    protected void ObjectDataSourceReferral_Updating(object sender, ObjectDataSourceMethodEventArgs e)
    {
        
    }
}